Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs.configuration
Class File

    java.lang.Object
      org.deegree.ogcwebservices.wcs.configuration.CoverageSource
          org.deegree.ogcwebservices.wcs.configuration.File

Direct Known Subclasses:
  GridFile

    public class File

extends CoverageSource

Describes a coverage (access) available through one file. The name of the `File` may is build from variables indicated by a leadin '$' (e.g. C:/rasterdata/luftbilder/775165/$YEAR/$MONTH/$DAY/$ELEVATION/l0.5) in this case the variable parts of the name can be replaced by an application with concrete values. It is in the responsibility of the application to use valid values for the variables. Known variable names are:

- $YEAR
- $MONTH
- $DAY
- $HOUR
- $MINUTE
- $ELEVATION

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`File(CoordinateSystem crs, String name, Envelope envelope)`

Method Summary
`Envelope` | `getEnvelope()`
`String` | `getName()`
`void` | `setEnvelope(Envelope envelope)`
`void` | `setName(String name)`

Methods inherited from class org.deegree.ogcwebservices.wcs.configuration.CoverageSource
`getCrs, setCrs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### File

    public File(CoordinateSystem crs,
                String name,
                Envelope envelope)

Parameters:
  `name` -
  `envelope` -

Method Detail

### getEnvelope

    public Envelope getEnvelope()

  Returns:
    Returns the envelope.

### setEnvelope

    public void setEnvelope(Envelope envelope)

  Parameters:
    `envelope` - The envelope to set.

### getName

    public String getName()

  Returns:
    Returns the name.

### setName

    public void setName(String name)

  Parameters:
    `name` - The name to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org